gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Object to represent a selection. System.Object
- Method
  System.Void `` `` `` `` Add targets for this widget. a a a a
- Method
  System.Void `` `` Remove all targets registered for the given selection for the widget. a a representing the selection.
- Method
  System.Void `` Removes all handlers and unsets ownership of all selections for a widget. Called when widget is being destroyed. a
- Method
  System.Boolean `` `` The default handler for the event. Instead of calling this function, chain up from your . Calling this function from any other context is illegal. a a a , true if the event was handled, otherwise false This function will be deprecated in future versions of GTK+ and GTK#.
- Method
  System.Boolean `` `` `` `` Request the contents of a selection. When received, a event will be generated. a , the requesting widget a , the selection to get a , the form of the information ("STRING" for example) (TODO: elaborate possible options) a , the time the request is being made a , true if the request succeeded, false if it couldn't be processed.
- Method
  System.Void `` `` `` `` Add the specified target to the list of supported targets for this selection. a , the widget for which this target applies a , the selection data a a TODO: this could be better-explained.
- Method
  System.Boolean `` `` `` Claims ownership of a given selection for a particular widget, or if is , release ownership of the selection. a or a representing the selection to claim. a , a timestamp to use in claiming the selection. a , true if the operation succeeded.
- Method
  System.Boolean `` `` `` `` Claims ownership of a given selection on a given display for a particular widget, or if is , release ownership of the selection. a , the display where the selection is set. a or a representing the selection to claim. a , a timestamp to use in claiming the selection. a , true if the operation succeeded.
- Constructor
  Public constructor.
  a